claw::graphic::jpeg::error_manager Struct Reference

Error handler that throw an exception instead of exiting the program. More...

`#include <jpeg.hpp>`

## Public Attributes

struct jpeg_error_mgr | pub
| "public" fields, needed by the jpeg library.
jmp_buf | setjmp_buffer
| For return to caller.
std::string | error_string
| A comprehensive description of the error.

## Detailed Description

Error handler that throw an exception instead of exiting the program.

To be used only in the jpeg::reader and jpeg::writer class.

Author
  Julien Jorge.

Definition at line 62 of file jpeg.hpp.

## Member Data Documentation

## error_string

std::string claw::graphic::jpeg::error_manager::error_string

A comprehensive description of the error.

Definition at line 71 of file jpeg.hpp.

Referenced by claw::graphic::jpeg__error_manager__error_exit(), and claw::graphic::jpeg::writer::save().

## pub

struct jpeg_error_mgr claw::graphic::jpeg::error_manager::pub

"public" fields, needed by the jpeg library.

Definition at line 65 of file jpeg.hpp.

Referenced by claw::graphic::jpeg::writer::save().

## setjmp_buffer

jmp_buf claw::graphic::jpeg::error_manager::setjmp_buffer

For return to caller.

Definition at line 68 of file jpeg.hpp.

Referenced by claw::graphic::jpeg__error_manager__error_exit(), and claw::graphic::jpeg::writer::save().

The documentation for this struct was generated from the following file:

- jpeg.hpp